[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TCustomConnection.Connected

Is the connection established or not

## Declaration

Source position: db.pas line 1869

`published property TCustomConnection.Connected: Boolean read GetConnected write SetConnected;`

## Description

Connected is True if the connection to the server is established, False if it is disconnected. The property can be set to True to establish a connection (equivalent to calling TCustomConnection.Open, or to False to break it (equivalent to calling TCustomConnection.Close.

## See also

TCustomConnection.Open |  | Makes the connection to the server
TCustomConnection.Close |  | Close the connection

The latest version of this document can be found at lazarus-ccr.sourceforge.net.